return {
  'morhetz/gruvbox',
  lazy = false,
  priority = 1000,
  config = function()
    -- Example config for Gruvbox
    vim.g.gruvbox_contrast_dark = 'medium'  -- Options: 'soft', 'medium', 'hard'
    vim.g.gruvbox_transparent_bg = true  -- Enable transparency

    -- Load the colorscheme
    vim.cmd('colorscheme gruvbox')

    -- Toggle background transparency
    local bg_transparency = true 

    local toggle_transparency = function()
      bg_transparency = not bg_transparency
      vim.g.gruvbox_transparent_bg = bg_transparency
      vim.cmd('colorscheme gruvbox')
    end

    vim.keymap.set('n', '<leader>bg', toggle_transparency, { noremap = true, silent = true })
  end
}

